import { useModalStore } from '../../stores/modalStore';

export function ModalContainer() {
  const modal = useModalStore(state => state.modal);

  return (
    modal && (
      <div className="fixed top-0 left-0 z-50 w-full h-full flex justify-center items-center bg-black [backdrop-filter:blur(10px);] bg-opacity-90 transition-opacity">
        <div onClick={e => e.stopPropagation()} className="cursor-default">
          {modal}
        </div>
      </div>
    )
  );
}
